Package com.ads.api.beans.mm.helper

# Class MappingImportHelper

java.lang.Object
com.ads.api.beans.mm.helper.MappingImportHelper

public class MappingImportHelper extends Object
This class provides some beans control methods related to ImportFileType, ImportType, filePath, mailComments and its details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `MappingImportHelper.ImportFileType`
  The constants of this enumerated type provides a simple classification of the declared elements.
  `static enum`
  `MappingImportHelper.ImportType`
  The constants of this enumerated type provides a simple classification of the declared elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappingImportHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilePath()`
  Returns the filePath from where the sourceFile is imported.
  `APIConstants.FilePathType`
  `getFilePathType()`
  Returns the path type of the given file.i.e ABSOLUTE OR RELATIVE
  `String`
  `getHeaderString()`
  Returns the headerString present in the imported file.
  `MappingImportHelper.ImportFileType`
  `getImportFileType()`
  Returns the fileType of the file imported.
  `MappingImportHelper.ImportType`
  `getImportType()`
  Returns the type of import.
  `String`
  `getMailComments()`
  Returns the mailComments which are specified while importing the file..
  `boolean`
  `isTreatFirstRowAsHeader()`
  Returns the value of treatFirstRowAsHeader as True or False.
  `void`
  `setFilePath(String filePath)`
  Sets the filePath as specified.
  `void`
  `setFilePathType(APIConstants.FilePathType filePathType)`
  Method sets the path type for the specified file.
  `void`
  `setHeaderString(String headerString)`
  Sets the headerString as specified.
  `void`
  `setImportFileType(MappingImportHelper.ImportFileType importFileType)`
  Sets the importFileType as specified.
  `void`
  `setImportType(MappingImportHelper.ImportType importType)`
  Sets the importType as specified.
  `void`
  `setMailComments(String mailComments)`
  Sets the mailComments as specified.
  `void`
  `setTreatFirstRowAsHeader(boolean treateFirstRowAsHeader)`
  Sets the value of treateFirstRowAsHeader as specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MappingImportHelper

    public MappingImportHelper()

- ## Method Details

  - ### getFilePathType

    public APIConstants.FilePathType getFilePathType()
    Returns the path type of the given file.i.e ABSOLUTE OR RELATIVE
    Returns:
      Enum - FilePathType

  - ### setFilePathType

    public void setFilePathType(APIConstants.FilePathType filePathType)
    Method sets the path type for the specified file.
    Parameters:
      `filePathType` - - Enum : Valid values are ABSOLUTE/RELATIVE

  - ### getFilePath

    public String getFilePath()
    Returns the filePath from where the sourceFile is imported.
    Returns:
      String - filePath

  - ### setFilePath

    public void setFilePath(String filePath)
    Sets the filePath as specified.
    Parameters:
      `filePath` - String

  - ### getImportFileType

    public MappingImportHelper.ImportFileType getImportFileType()
    Returns the fileType of the file imported.
    importFileType can be MAPPINGMANAGER_LEGACY_EXCEL, MAPPINGMANAGER_EXCEL, MAPPINGMANAGER_XML, INFORMATICA, DATASTAGE, SSIS_2008.
    Returns:
      importFileType

  - ### setImportFileType

    public void setImportFileType(MappingImportHelper.ImportFileType importFileType)
    Sets the importFileType as specified.
    ImportFileType can be MAPPINGMANAGER_LEGACY_EXCEL, MAPPINGMANAGER_EXCEL, MAPPINGMANAGER_XML, INFORMATICA, DATASTAGE, SSIS_2008.
    Parameters:
      `importFileType` - ImportFileType

  - ### getImportType

    public MappingImportHelper.ImportType getImportType()
    Returns the type of import. ImportType can be APPEND_TO_EXISTING, DELETE_AND_RELOAD.
    Returns:
      importType

  - ### setImportType

    public void setImportType(MappingImportHelper.ImportType importType)
    Sets the importType as specified.
    Parameters:
      `importType` - ImportType

  - ### getMailComments

    public String getMailComments()
    Returns the mailComments which are specified while importing the file..
    Returns:
      String

  - ### setMailComments

    public void setMailComments(String mailComments)
    Sets the mailComments as specified.
    Parameters:
      `mailComments` - String

  - ### getHeaderString

    public String getHeaderString()
    Returns the headerString present in the imported file.
    Returns:
      String

  - ### setHeaderString

    public void setHeaderString(String headerString)
    Sets the headerString as specified.
    Parameters:
      `headerString` - String

  - ### isTreatFirstRowAsHeader

    public boolean isTreatFirstRowAsHeader()
    Returns the value of treatFirstRowAsHeader as True or False.
    Enabling this will preselect headers from excel and also will allow to change headers. treatFirstRowAsHeader is applicable for the files with importFileType as MAPPINGMANAGER_LEGACY_EXCEL and MAPPINGMANAGER_EXCEL.
    Returns:
      boolean

  - ### setTreatFirstRowAsHeader

    public void setTreatFirstRowAsHeader(boolean treateFirstRowAsHeader)
    Sets the value of treateFirstRowAsHeader as specified.
    Parameters:
      `treateFirstRowAsHeader` - boolean